#### D.5.12.17 Gamma

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  Gamma(L,c,n); L list, c number, n integer

Compute:
  The Gamma function, resolution function corresponding to the monomial case

Return:
  lists of maximum exponents in L, value of Gamma function, center of blow up

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..5)),dp;
    ideal J=x(1)^2*x(2)*x(3)^5*x(4)^2*x(5)^3;
    list L=data(J,1,5);
    list G=Gamma(L[2][1][1],9,5);   // critical value c=9
    G[1]; // maximum exponents in the ideal
    ==> [1]:
    ==> 5
    ==> [2]:
    ==> 3
    ==> [3]:
    ==> 2
    G[2]; // maximal value of Gamma function
    ==> [1]:
    ==>    -3
    ==> [2]:
    ==> 10/9
    ==> [3]:
    ==>    3,5,4
    G[3]; // center given by Gamma
    ==> [1]:
    ==>    3
    ==> [2]:
    ==>    5
    ==> [3]:
    ==>    4

User manual for Singular version 4.4.1, 2025, generated by texi2html.